function onTalk()
	disableMovement()
	waitUntilOnGround()
	if getFlag("ArcadeABroken") then
		say("CC_Deltarune_ArcadeAlreadyUsed")
	else
		if getFlag("ArcadeMachineUnlocked") then
			say("CC_Deltarune_ArcadeIntro")
			if choice("CC_Deltarune_ArcadeYes","CC_Deltarune_ArcadeNo") == 1 then
				say("CC_Deltarune_ArcadeCutsceneA")
				setFlag("ArcadeABroken",true)
			else
				say("CC_Deltarune_ArcadeDontUse")
			end
		else
			say("CC_Deltarune_ArcadeCantUse")
		end
	end
end
function onEnd()
	enableMovement()
end